Package org.apache.lucene.util

## Interface BytesRefArray.IndexedBytesRefIterator

- All Superinterfaces:
    `BytesRefIterator`
  Enclosing class:
    BytesRefArray

      public static interface BytesRefArray.IndexedBytesRefIterator
      extends BytesRefIterator

  An extension of `BytesRefIterator` that allows retrieving the index of the current element

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `ord()` | Returns the ordinal position of the element that was returned in the latest call of `BytesRefIterator.next()`.

    - ### Methods inherited from interface org.apache.lucene.util.BytesRefIterator

      `next`

- - ### Method Detail

    - #### ord

          int ord()

      Returns the ordinal position of the element that was returned in the latest call of `BytesRefIterator.next()`. Do not call this method if `BytesRefIterator.next()` is not called yet or the last call returned a null value.